%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate libdeflate-sys

Name:           rust-libdeflate-sys
Version:        1.20.0
Release:    1%{?dist}
Summary:        Bindings to libdeflate for DEFLATE

License:        Apache-2.0
URL:            https://crates.io/crates/libdeflate-sys
Source0:         %{crates_source}
Patch:          libdeflate-sys-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Bindings to libdeflate for DEFLATE (de)compression exposed as non-
streaming buffer operations. Contains bindings for raw deflate, zlib,
and gzip data.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libdeflate)

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dynamic-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dynamic-devel %{_description}

This package contains library source intended for building other packages which
use the "dynamic" feature of the "%{crate}" crate.

%files       -n %{name}+dynamic-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+freestanding-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+freestanding-devel %{_description}

This package contains library source intended for building other packages which
use the "freestanding" feature of the "%{crate}" crate.

%files       -n %{name}+freestanding-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
rm -rv libdeflate
sed -r -i 's@^([[:blank:]]*)(#\[cfg\(feature *= *"dynamic"\)\])@\1// \2@' build.rs
sed -r -i 's@^([[:blank:]]*)(\.exactly_version\()@\1// \2@' build.rs

%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'pkgconfig(libdeflate)'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.20.0-1
- initial build
